Bug 1009675 - Two network card has same mac adress. Unable to reset mac address [NEEDINFO]
Two network card has same mac adress. Unable to reset mac address
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 16:31 EDT by galerien
Modified: 2014-02-23 11:37 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-23 11:37:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lpoetter: needinfo? (galerienv)


Attachments (Terms of Use)
Files from sys/class/net, /etc/sysconfig/network-system and /etc/udev/rules.d (17.51 KB, application/zip)
2013-09-18 16:31 EDT, galerien
no flags Details

  None (edit)
Description galerien 2013-09-18 16:31:56 EDT
Created attachment 799589 [details]
Files from sys/class/net, /etc/sysconfig/network-system and /etc/udev/rules.d

Description of problem:

I have configured my network card in 802.3ad static aggregation with network- manager. Configuration is correct and the next day, i reboot computer.

Since each network card (P20p1 and p21p1) has the same mac address.

i verify in /sys/class/net/p2xp1 each address file and it has the same Mac address. 

I try to change Mac address on first card with macchanger ou ifconfig p20p1 hw ether xx:xx:xx:xx:xx and the command don't change.

I try to change Mac address with udev rules, no change.

How restore a different mac on each network card. 

Version-Release number of selected component (if applicable):
Fedora 19 x86_64 with last update (17/09/2013)

How reproducible:
Perhaps install teaming and modify ifcfg-Teaming file with balance-xor (selection in Network-manager don't change the value in file).

stay the computer off line one day and restart. if in sys/class/net each network card has same mac address, you have the problem.

Computer configuration :
Motherboard Gigabyte EX58-UD7 ver 1.0 with bios F8M
Network card integrated with motherboard (rt8168)

Steps to Reproduce:
1.
2.
3.

Actual results:
No 802.3ad static link possible. When i activate with ifup p20p1, p20p1 and p21p1 goes up....


Expected results:


Additional info:
Comment 1 Michal Schmidt 2013-09-23 13:04:15 EDT
(In reply to galerien from comment #0)
> Created attachment 799589 [details]
> Files from sys/class/net, /etc/sysconfig/network-system and /etc/udev/rules.d

Your 70-persistent-net.rules file has obviously incorrect usage of "=" and "==". The former is an assignment, the latter is for comparison. I suggest you just delete the file for now.

> i verify in /sys/class/net/p2xp1 each address file and it has the same Mac
> address.
> 
> I try to change Mac address on first card with macchanger ou ifconfig p20p1
> hw ether xx:xx:xx:xx:xx and the command don't change.

I don't know macchanger, but ifconfig should work. Does the above ifconfig command report any errors, or is it just silent?

Did perhaps the permanent address get overwritten in the card's EPROM somehow? Please show us the output of:
ethtool -P p20p1
ethtool -P p21p1
Comment 2 Lennart Poettering 2014-02-23 11:37:18 EST
Closing due to lack opf response.

Note You need to log in before you can comment on or make changes to this bug.